<?php

namespace IMATHUZH\Qfq\Core\Renderer\FormElement\Base;

use IMATHUZH\Qfq\Core\Form\FormElement\AbstractFormElement;
use IMATHUZH\Qfq\Core\Helper\HelperFormElement;
use IMATHUZH\Qfq\Core\Helper\Support;

class ImageCutRenderer extends \IMATHUZH\Qfq\Core\Renderer\FormElement\NativeRenderer
{

    /**
     * @inheritDoc
     */
    public function renderInput(AbstractFormElement $fe, string $renderMode = RENDER_MODE_HTML): string
    {
        $fe->loadImage();

        $htmlFabric = Support::wrapTag('<div ' . Support::arrayToXMLAttributes($fe->fabricHtmlAttributes) . ' >', '', false);
        $htmlInput = Support::wrapTag('<input ' . Support::arrayToXMLAttributes($fe->htmlAttributes) . ' >', '', false);
        // <img id="target-png"> - this element is for future use. It's not necessary for the function and is not used yet.
        $htmlImage = Support::wrapTag('<img ' . Support::arrayToXMLAttributes($fe->imageHtmlAttributes) . '>', '', false);

        return $htmlFabric . HelperFormElement::getHelpBlock() . $htmlInput . $htmlImage;

    }
}